App\Library\Amazon\Classes\MechanicalFasteners:
    xml_root_name: MechanicalFasteners
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\MechanicalFasteners\ProductTypeAType
